OpenVDB 5.1.0

Public Types | List of all members
Tree5< T, N1, N2, N3, N4 > Struct Template Reference

Tree5<T, N1, N2, N3, N4>::Type is the type of a five-level tree (Root, Internal, Internal, Internal, Leaf) with value type T and internal and leaf node log dimensions N1, N2, N3 and N4, respectively. More...

`#include <Tree.h>`

## Public Types
using | Type = Tree< RootNode< InternalNode< InternalNode< InternalNode< LeafNode< T, N4 >, N3 >, N2 >, N1 > >>

## Detailed Description

### template<typename T, Index N1 = 6, Index N2 = 5, Index N3 = 4, Index N4 = 3>
struct openvdb::v5_1::tree::Tree5< T, N1, N2, N3, N4 >

Tree5<T, N1, N2, N3, N4>::Type is the type of a five-level tree (Root, Internal, Internal, Internal, Leaf) with value type T and internal and leaf node log dimensions N1, N2, N3 and N4, respectively.

Note
  This is NOT the standard tree configuration (Tree4 is).

## Member Typedef Documentation

## ◆ Type

using Type = Tree<RootNode<InternalNode<InternalNode<InternalNode<LeafNode<T, N4>, N3>, N2>, N1> >>

The documentation for this struct was generated from the following file:

- Tree.h